@use "@/theme/base.scss";

$match-width: 500px;

.matchId {
  color: var(--bright);
}

.matchLabel {
  width: 100%;
  margin: 0;
}

.matchesGrid {
  grid-area: content;
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: var(--block-spacing-vertical) var(--block-spacing-horizontal);
  @include base.mq($from: wide) {
    display: block;
    column-count: 2;
    article {
      margin-bottom: var(--spacing);
    }
    // grid-template-rows: masonry;
  }
}

.matchRow {
  transition: background 150ms linear;
  position: relative;
  &[data-winner="true"] {
    background: var(--primary-focus);
    .signup,
    td.score:not(.scoreEdit),
    td.scoreEdit input {
      --font-weight: bold;
      text-shadow: 0 1px 0 black;
      font-weight: var(--font-weight);
    }
  }

  &[data-winner="false"] {
    .signup,
    .score input {
      opacity: 0.66;
    }
  }
}

.matchCard {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  margin: 0;
  break-inside: avoid;
  page-break-inside: avoid;
  > header {
    border-radius: var(--border-radius) var(--border-radius) 0 0;
  }
  > footer {
    border-radius: 0 0 var(--border-radius) var(--border-radius);
    // margin: calc(-1 * var(--block-spacing-vertical)) calc(-1 * var(--block-spacing-horizontal));
  }
}

.matchCardScore {
  outline: 0;
  padding: 0 !important;
  background: none;
  text-align: center;
  width: 40px !important;
}

.matchCardContent {
  display: grid;
  margin: calc(-1 * var(--block-spacing-vertical)) calc(-1 * var(--block-spacing-horizontal));
  flex: 1;
}

.matchScores {
  margin: 0 !important;
}

.score {
  padding: 0 calc(var(--spacing) * 0.25);
  // cause z-index to work on tooltip within
  position: relative;
}

.score,
.signup {
  opacity: 1;
  transition: opacity 150ms linear;
}

.scoreInput {
  content: "";
}

.matchEditor {
  margin-top: calc(2 * var(--block-spacing-vertical));
}

.controlsTable {
  margin: var(--spacing) 0 0 0;
}

.matchScore {
  display: grid;
  grid: "high" "low" / 1fr;
}

////////////////////////////////////////////////////////////////////////////////
// Pickbans
//

.poolImageChildren {
  right: var(--spacing);
  bottom: var(--spacing);
  min-width: 64px;
  max-width: 25%;
  height: 100%;
  z-index: 3;
  > input,
  > .score {
    border-radius: 0;
    border-right: 0;
    height: 100% !important;
    margin: 0 !important;
  }
  > .pickbansScore {
    background: var(--background);
    border-left: 1px solid var(--muted-border-color);
    border-top: 1px solid var(--muted-border-color);
    border-bottom: 1px solid var(--muted-border-color);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

.poolImageActor {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: calc(0.5 * var(--spacing));
  z-index: 2;
  text-shadow: 0 1px 0 black, 0 1px 2px black;
  font-size: 16px;
  --primary: white;
  :global(.playerImg) {
    margin-left: calc(0.25 * var(--spacing)) !important;
  }
}
